Subject: RE: [midcom] accept R3a1 & R3a2

From: "Cedric Aoun" <[email-masked]>
Date: Fri, 12 Oct 2001 13:16:20 +0100

my vision was that we try to avoid using midcom to put specific rulesets to
allow traversal 
of midcom flows to control remote Middle boxes. That's actually my point,
sorry if I wasn't clear.
I see that using midcom to allow midcom flow traverse is an overkill, no?
So  are you considering that embedded nat traversal capabilities (as what is
being specified to other protocols, as for SIP) in the midcom protocol are
optional, in order to open the choice on several potential midcom protocols?

-----Original Message-----
From: Scott Brim [mailto:[email-masked]]
Sent: Thursday, October 11, 2001 3:44 PM
To: Aoun, Cedric [QPD:MA01:EXCH]
Cc: 'Melinda Shore'; midcom mail-list
Subject: Re: [midcom] accept R3a1 & R3a2

On Thu, Oct 11, 2001 11:37:14AM +0100, Cedric Aoun allegedly wrote:
> Scott,
> In the context of carrier managed services, the Telephony Service Provider
> (TSP)
>  will put Media GateWays (MGW) in the customer premise.
> The MGWs will be controlled by Media Gateway Controllers (MGC) that are
> located in the TSP.
> The Midcom Agent (MA) will be co-hosted with the MGC instance.
> 
> When you are running several hundred thousands (even millions) of calls,
> obviously we are not talking of a couple of IP addresses for the MGC
> instances. Depending on your assigned registered address space, you might
> want to assign private addresses to your MGC instances, therefore you will
> need to NAT the application signaling messages.
> 
> Does it make any sense?

Yes.  The NAT and its controlling Midcom Agent share an address space.
The *midcom* messages don't have to go through a NAT.  The application
signaling does -- but that's why we're doing this midcom thing in the
first place.  I see no problem.

> Cedric
> 
> -----Original Message-----
> From: Scott Brim [mailto:[email-masked]]
> Sent: Wednesday, October 10, 2001 6:28 PM
> To: Aoun, Cedric [QPD:MA01:EXCH]
> Cc: 'Melinda Shore'; midcom mail-list
> Subject: Re: [midcom] accept R3a1 & R3a2
> 
> 
> On Wed, Oct 10, 2001 04:05:59PM +0100, Cedric Aoun allegedly wrote:
> > Scott,
> > The topology I have in mind is the following
> > 
> >  ++++++++++           ++++++++++	     ++++++++++++	
> >  +foo.com    +MB1-----+the net      +-------MB2+MA   bar.com+
> >  ++++++++++	        ++++++++++              +++++++++++
> > 
> > 
> > In case the Midcom Agent sends a Midcom request to MiddleBox1
> > we don't want the protocol messages to contain any IP addresses or ports
> > relevant to the bar.com realm.
> > This is what I actually meant.
> 
> As long as the MA in the picture is a midcom agent, not an application
> helper of some sort, I have trouble believing this scenario would be
> deployed in real life.  
> 
> Can any ISP (not vendor) out there give any example of where they would
> want such a scenario?  We're talking about a security relationship
> between agent and middlebox crossing a NAT.
> 

_______________________________________________
midcom mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/midcom